routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['prefix'=>'admin', 'namespace'=>'Admin'], function() {
    Route::get('/', function() { return view('home'); });
    Route::post('escola/pesquisa', 'EscolaController@pesquisa')->name('escola.pesquisa');
    Route::post('instituicao/pesquisa', 'InstituicaoController@pesquisa')->name('instituicao.pesquisa');
    Route::post('responsavel/pesquisa', 'ResponsavelController@pesquisa')->name('responsavel.pesquisa');
    Route::get('escola/export', 'EscolaController@export')->name('escola.export');
    Route::resource('escola', 'EscolaController');
    Route::resource('bairro', 'BairroController');
    Route::resource('instituicao', 'InstituicaoController');
    Route::resource('responsavel', 'ResponsavelController');
    Route::resource('vulnerabilidade', 'VulnerabilidadeController');
    
    
    
});
Auth::routes();

Route::get('home', 'HomeController@index')->name('home');
Route::get('/', function() { return view('index');});
Route::get('mapa', function() { return view('mapa');})->name("mapa");
Route::get('participe', function() { return view('participe');})->name("participe");
Route::get('relatorio', function() { return view('relatorio');})->name('relatorio');
Route::post('enviar_requisicao', 'RequisicaoController@store')->name("enviar_requisicao");
Route::resource('admin/requisicao', 'RequisicaoController');
Route::get('resposta{id}', 'RequisicaoController@responder')->name('requisicao.resposta');
Route::post('resposta', 'RequisicaoController@enviaEmail')->name('resposta');
Route::post('requisicao/pesquisa', 'RequisicaoController@pesquisa')->name('requisicao.pesquisa');
Route::get('requisicao/export', 'RequisicaoController@export')->name('requisicao.export');

resources/views/admin/bairro_edit_form.blade.php
@extends('adminlte::page')

@section('title', 'Edição de Bairros')

@section('content')

    <div class='col-sm-11'>
        
        <h2 id="BairroForm" Edição de Bairro </h2>
    
    </div>
    <div class='col-sm-1'>
        <a href="{{route('bairro.index')}}" class="btn btn-primary"
           role="button">Voltar</a>
    </div>

    <div class='col-sm-12'>

        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif

        
        <form method="POST" action="{{ route('bairro.update', $bairro->id) }}"
 
                enctype="multipart/form-data">
                {{method_field('PUT')}}
               {{ csrf_field() }}

                <div class="form-group">
                    <label for="nome">Nome do Bairro:</label>
                    <input type="text" class="form-control" id="nome"
                            name="nome" value="{{$bairro->nome}}"
                            
                            required>
                </div>


                        <button type="submit" class="btn btn-primary">Enviar</button>
                        <button type="reset" class="btn btn-warning">Limpar</button>
                    </form>
    </div>


@endsection

resources/views/admin/bairro_form.blade.php
@extends('adminlte::page')

@section('title', 'Cadastro de Bairros')

@section('content')

    <div class='col-sm-11'>
        
        <h2> Inclusão de Bairros </h2>
    
    </div>
    <div class='col-sm-1'>
        <a href="{{route('bairro.index')}}" class="btn btn-primary"
           role="button">Voltar</a>
    </div>

    <div class='col-sm-12'>

        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif

        
            <form method="post" action="{{route('bairro.store')}}">
                
                {{ csrf_field() }}

                <div class="form-group">
                    <label for="nome">Nome do Bairro:</label>
                    <input type="text" class="form-control" id="nome"
                            name="nome"
                            
                            required>
                </div>


                        <button type="submit" class="btn btn-primary">Enviar</button>
                        <button type="reset" class="btn btn-warning">Limpar</button>
                    </form>
    </div>


@endsection

resources/views/admin/bairro_list.blade.php
@extends('adminlte::page')

@section('title', 'Cadastro de Bairros')

@section('content')
<div class='col-sm-12'>
        @if (session('status'))
            <div class="alert alert-success">
                {{ session('status') }}
            </div>
        @endif

        @if (session('alert'))
            <div class="alert alert-danger">
                {{ session('alert') }}
            </div>
        @endif
    </div>

    <div class='col-sm-11'>
        <h2 id="BairroList"> Cadastro de Bairros </h2>
    </div>

            <div class="col-sm-1">
                <br>
            <a href="{{route('bairro.create')}}" class="btn btn-info"
               role="button">Novo</a>
            </div>
    <div class='col-sm-12'>



        <table class="table table-striped">
            <thead>
            <tr>
                <th>ID</th>
                <th>Nome</th>
                <th align="right">Ação</th>
            </tr>
            </thead>
            <tbody>
            @foreach($bairro as $b)
                <tr>
                    <td style="text-align: left">{{$b->id}}</td>
                    <td>{{$b->nome}}</td>
                    
                    <td>
                        <form style="display: inline-block"
                            action="{{route('bairro.edit', $b->id)}}">
                              
                                  <button type="submit" title="Editar"
                                          class="btn btn-warning btn-sm"><i class="glyphicon glyphicon-pencil"></i></button>
                          
                        </form>  &nbsp;&nbsp;

                        <form style="display: inline-block"
                              method="post"
                              action="{{route('bairro.destroy', $b->id)}}"
                              onsubmit="return confirm('Confirma Exclusão?')">
                            {{method_field('delete')}}
                            {{csrf_field()}}
                            <button type="submit" title="Excluir"
                      class="btn btn-danger btn-sm"><i class="far fa-trash-alt"></i></button>
                        </form> &nbsp;&nbsp;

                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
         <div class="col-sm-12"> {{ $bairro->links() }}</div>
    </div>

@endsection

@section('js')
  <script defer src="https://use.fontawesome.com/releases/v5.0.10/js/all.js" integrity="sha384-slN8GvtUJGnv6ca26v8EzVaR9DC58QEwsIk9q1QXdCU8Yu8ck/tL/5szYlBbqmS+" crossorigin="anonymous"></script>
@endsection

resources/views/admin/caixa_list.blade.php
@extends('adminlte::page')

@section('title', 'Lista de Requisições')

@section('content')

    <div class='col-sm-12'>
        <h1 id="RequisicaoList"> Requisições 
            <a href="{{ route('requisicao.export') }}" 
               class="btn btn-primary pull-right" role="button">Export</a>
               
        </h1>
        
    </div>
    @if (Session::has('success'))
	<div class="alert alert-success" role="alert">
		<strong>Sucesso:</strong> {{ Session::get('success') }}
	</div>
    @elseif (Session::has('error'))
	<div class="alert alert-danger" role="alert">
		<strong>Erro:</strong> {{ Session::get('error') }}
	</div>
    @endif

@if (count($errors) > 0)
	<div class="alert alert-danger" role="alert">
		<strong>Erros:</strong> 
		<ul>
		@foreach ($errors->all() as $error)
			<li>{{ $error }}</li>
		@endforeach
		</ul>
	</div
@endif
<div class='col-sm-12'>       
    <form method="POST" action="{{ route('requisicao.pesquisa') }}"  class="form form-inline">
        {{ csrf_field() }}
        <input type="text" name="escola" class="form-control" placeholder="ESCOLA">
        <label for="vulnerabilidade">Vulnerabilidade</label>
        <select id="vulnerabilidade" name="vulnerabilidade" class="form-control" placeholder="VULNERABILIDADE">
            <option selected="selected"></option>
          @foreach($vulnerabilidade as $v)
            <option value="{{$v->id}}" 
                    {{ ((isset($reg) and $reg->vulnerabilidade == $v->id) or 
                       old('vulnerabilidade_id') == $v->id) ? "selected" : "" }}>
                    {{$v->titulo}}</option>
          @endforeach
        </select>  
        <input type="text" name="email" class="form-control" placeholder="EMAIL">
        <input type="date" name="data" class="form-control" placeholder="DATA">
        <button type="submit" class="btn btn-primary">Pesquisar</button>
    </form>
</div>
    <div class='col-sm-12'>
        @if (session('status'))
            <div class="alert alert-success">
                {{ session('status') }}
            </div>
        @endif
        <table class="table table-striped">
            <tr>
                <th>Código</th>
                <th>Autor da Requisição</th>
                <th>Email</th>
                <th>Telefone</th>
                <th>Descrição</th>
                <th>Escola</th>
                <th>Perfil dos Alunos</th>
                <th>Corporação acionada</th>
                <th>Responder</th>
                
            </tr>
            @forelse($requisicao as $r)
                <tr>
                    <td style="text-align: center">{{$r->id}}</td>
                    <td>{{$r->nomeCriador}}</td>
                    <td>{{$r->emailCriador}}</td>
                    <td>{{$r->telefoneCriador}}</td>
                    <td>{{$r->descricao}}</td>
                    <td>{{$r->escola->nome}}</td>
                    <td>{{$r->vulnerabilidade->titulo}}</td>
                    <td>{{$r->instituicao->nome}}</td>
                    <td> <a href="{{route('requisicao.resposta', $r->id)}}"
                        class="btn btn-info"
                        role="button">Responder</a> &nbsp;&nbsp;</td>
                </tr>
            @empty

                <h4>Não existem proposta cadastradas ainda.</h4>

            @endforelse
        </table>
        <div class="col-sm-12"> {{ $requisicao->links() }}</div>
    </div>

@endsection

resources/views/admin/escola_edit_form.blade.php
@extends('adminlte::page')

@section('title', 'Edição de Escola')

@section('content_header')


<h2 id="EscolaForm">Edição de Escolas         

  <a href="{{ route('escola.index') }}" class="btn btn-primary pull-right" role="button">Voltar</a>
</h2>

@endsection

@section('content')

@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif


<form method="POST" action="{{ route('escola.update', $escola->id) }}"
 
 enctype="multipart/form-data">
 {{method_field('PUT')}}
{{ csrf_field() }}

<div class="row">
    <div class="col-sm-6">
      <div class="form-group">
        <label for="nome">Nome da escola</label>
        <input type="text" id="nome" name="nome" value="{{$escola->nome}}" required 
               
               class="form-control">
      </div>
      <div class="form-group">
        <label for="responsavel">Responsável</label>
        <select id="responsavel" name="responsavel_id" class="form-control">
          @foreach($responsavel as $b)
            <option value="{{$b->id}}" 
                    {{ ($escola->responsavel_id == $b->id) ? "selected" : "" }}>
                    {{$b->nome}}</option>
          @endforeach
        </select>  
      </div>
    </div>

    <div class="col-sm-6">
      <div class="form-group">
        <label for="bairro">Bairro</label>
        <select id="bairro" name="bairro_id" class="form-control">
          @foreach($bairro as $b)
            <option value="{{$b->id}}" 
                    {{ ($escola->bairro_id == $b->id) ? "selected" : "" }}>
                    {{$b->nome}}</option>
          @endforeach
        </select>  
      </div>

      <div class="form-group">
        <label for="endereco">Endereço</label>
        <input type="text" id="endereco" name="endereco" required 
               
               class="form-control" value="{{$escola->endereco}}">
      </div>
      
    </div>
    
  </div>              


  <input type="submit" value="Enviar" class="btn btn-success">
  <input type="reset" value="Limpar" class="btn btn-warning">
</form>

@endsection

resources/views/admin/escola_form.blade.php
@extends('adminlte::page')

@section('title', 'Cadastro de Carros')

@section('content_header')


<h2 id="EscolaForm">Inclusão de Escolas         

  <a href="{{ route('escola.index') }}" class="btn btn-primary pull-right" role="button">Voltar</a>
</h2>

@endsection

@section('content')

@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif


<form method="POST" action="{{ route('escola.store') }}"
 enctype="multipart/form-data">
        
{{ csrf_field() }}

<div class="row">
    <div class="col-sm-6">
      <div class="form-group">
        <label for="nome">Nome da escola</label>
        <input type="text" id="nome" name="nome" required 
               
               class="form-control">
      </div>
      <div class="form-group">
        <label for="responsavel">Responsável</label>
        <select id="responsavel" name="responsavel_id" class="form-control">
          @foreach($responsavel as $b)
            <option value="{{$b->id}}" 
                    {{ ((isset($reg) and $reg->responsavel == $b->id) or 
                       old('responsavel_id') == $b->id) ? "selected" : "" }}>
                    {{$b->nome}}</option>
          @endforeach
        </select>  
      </div>
    </div>

    <div class="col-sm-6">
      <div class="form-group">
        <label for="bairro">Bairro</label>
        <select id="bairro" name="bairro_id" class="form-control">
          @foreach($bairro as $b)
            <option value="{{$b->id}}" 
                    {{ ((isset($reg) and $reg->bairro == $b->id) or 
                       old('bairro_id') == $b->id) ? "selected" : "" }}>
                    {{$b->nome}}</option>
          @endforeach
        </select>  
      </div>

      <div class="form-group">
        <label for="endereco">Endereço</label>
        <input type="text" id="endereco" name="endereco" required 
               
               class="form-control">
      </div>
      
    </div>
    
  </div>              


  <input type="submit" value="Enviar" class="btn btn-success">
  <input type="reset" value="Limpar" class="btn btn-warning">
</form>

@endsection

resources/views/admin/escola_list.blade.php
@extends('adminlte::page')

@section('title', 'Cadastro de Escolas')

@section('content_header')
    <h1 id="EscolaList">Cadastro de Escolas
    <a href="{{ route('escola.create') }}" 
       class="btn btn-primary pull-right" role="button">Novo</a>
       
        <a href="{{ route('escola.export') }}" 
           class="btn btn-primary pull-right" role="button">Export</a>
    </h1>
    
@endsection

@section('content')

@if (session('status'))
    <div class="alert alert-success">
      {{ session('status') }}
    </div>  
@endif

@if (session('alert'))
<div class="alert alert-danger">
      {{ session('alert') }}
    </div>  
@endif


<form method="POST" action="{{ route('escola.pesquisa') }}"  class="form form-inline">
    {{ csrf_field() }}
    <input type="text" name="nome" class="form-control" placeholder="NOME">
    <label for="bairro">Bairro</label>
        <select id="bairro" name="bairro" class="form-control" placeholder="BAIRRO">
          <option></option>
          @foreach($bairro as $b)
            <option value="{{$b->id}}" 
                    {{ ((isset($reg) and $reg->bairro == $b->id) or 
                       old('bairro_id') == $b->id) ? "selected" : "" }}>
                    {{$b->nome}}</option>
          @endforeach
        </select>  
    <input type="text" name="responsavel" class="form-control" placeholder="CONTATO">
    <button type="submit" class="btn btn-primary">Pesquisar</button>
</form>
<div class="table-responsive">
  <table class="table v-middle text-nowrap">
      <thead>
        <tr class="bg-light">
          <th class="border-top-0"> Nome </th>
          <th class="border-top-0"> Bairro </th>
          <th class="border-top-0"> Endereço </th>
          <th class="border-top-0"> Contato </th>
          <th class="border-top-0"> Ações </th>
        </tr>  
      <thead>
@forelse($escola as $e)
  <tr>
    <td> {{$e->nome}} </td>
    <td> {{$e->bairro->nome}} </td>
    <td> {{$e->endereco}} </td>
    <td> {{$e->responsavel->email}}</td>
  
    <td> 
        
      <form style="display: inline-block"
        action="{{route('escola.edit', $e->id)}}">
          
              <button type="submit" title="Editar"
                      class="btn btn-warning btn-sm"><i class="glyphicon glyphicon-pencil"></i></button>
      
      </form>  &nbsp;&nbsp; 

      <form style="display: inline-block"
        method="post"
        action="{{route('escola.destroy', $e->id)}}"
        onsubmit="return confirm('Confirma Exclusão?')">
          {{method_field('delete')}}
          {{csrf_field()}}
              <button type="submit" title="Excluir"
                      class="btn btn-danger btn-sm"><i class="far fa-trash-alt"></i></button>
      </form>  &nbsp;&nbsp;
    </td>
  </tr>


@empty
  <tr><td colspan=8> Não há Escolas cadastradas ou filtro da pesquisa não 
                     encontrou registros </td></tr>
@endforelse
</table>
</div>
<div class="col-sm-12"> {{ $escola->links() }}</div>
@endsection

@section('js')
  <script defer src="https://use.fontawesome.com/releases/v5.0.10/js/all.js" integrity="sha384-slN8GvtUJGnv6ca26v8EzVaR9DC58QEwsIk9q1QXdCU8Yu8ck/tL/5szYlBbqmS+" crossorigin="anonymous"></script>
@endsection

resources/views/admin/instituicao_edit_form.blade.php
@extends('adminlte::page')

@section('title', 'Edição de Instituição')

@section('content')

    <div class='col-sm-11'>
        
        <h2> Edição de Instituição </h2>
    
    </div>
    <div class='col-sm-1'>
        <a href="{{ route('instituicao.index') }}" class="btn btn-primary"
           role="button">Voltar</a>
    </div>

    

        @if (count($errors) > 0)
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif

        
        <form method="POST" action="{{ route('instituicao.update', $instituicao->id) }}"
 
                enctype="multipart/form-data">
                {{method_field('PUT')}}
               {{ csrf_field() }}
        <div class="row">
            <div class="col-sm-6">        
                <div class="form-group">
                    <label for="nome">Nome da Instituição:</label>
                    <input type="text" id="nome" name="nome" required class="form-control" value="{{$instituicao->nome}}">
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label for="endereco">Endereço</label>
                    <input type="text" id="endereco" name="endereco" required class="form-control" value="{{$instituicao->endereco}}">
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <label for="responsavel">Responsável</label>
                    <select id="responsavel" name="responsavel_id" class="form-control">
                      @foreach($responsavel as $b)
                        <option value="{{$b->id}}" 
                                {{ ($instituicao->responsavel_id == $b->id) ? "selected" : "" }}>
                                {{$b->nome}}</option>
                      @endforeach
                    </select>  
                </div>
            </div>
        </div>

                        <button type="submit" class="btn btn-primary">Enviar</button>
                        <button type="reset" class="btn btn-warning">Limpar</button>
            </form>
                    
        


@endsection

resources/views/admin/instituicao_list.blade.php
@extends('adminlte::page')

@section('title', 'Cadastro de Instituições')

@section('content_header')
    <h1 id="InstituicaoList">Lista de Instituições 
        <a href="{{ route('instituicao.create') }}" 
    class="btn btn-primary pull-right" role="button">Novo</a>
    </h1>
@endsection

@section('content')
<div class='col-sm-12'>
    @if (session('status'))
        <div class="alert alert-success">
            {{ session('status') }}
        </div>
    @endif

    @if (session('alert'))
        <div class="alert alert-danger">
            {{ session('alert') }}
        </div>
    @endif
</div>

<form method="POST" action="{{ route('instituicao.pesquisa') }}"  class="form form-inline">
    {{ csrf_field() }}
    <input type="text" name="nome" class="form-control" placeholder="NOME">
    
    <button type="submit" class="btn btn-primary">Pesquisar</button>
</form>
    <table class="table table-striped">
        <tr>
            <th>ID</th>
            <th>Nome</th>
            <th>Responsável</th>
            <th>Email</th>
            <th>Telefone</th>
            <th>Ação</th>
        </tr>
        @foreach($instituicao as $b)
            <tr>
                <td style="text-align: left">{{$b->id}}</td>
                <td>{{$b->nome}}</td>
                <td>{{$b->responsavel->nome}}</td>}
                <td>{{$b->responsavel->email}}</td>}
                <td>{{$b->responsavel->telefone}}</td>}
                <td>

                    <form style="display: inline-block"
                        action="{{route('instituicao.edit', $b->id)}}">
                          
                              <button type="submit" title="Editar"
                                      class="btn btn-warning btn-sm"><i class="glyphicon glyphicon-pencil"></i></button>
                      
                    </form>  &nbsp;&nbsp;
                    <form style="display: inline-block"
                            method="post"
                            action="{{route('instituicao.destroy', $b->id)}}"
                            onsubmit="return confirm('Confirma Exclusão?')">
                        {{method_field('delete')}}
                        {{csrf_field()}}
                        <button type="submit" title="Excluir"
                    class="btn btn-danger btn-sm"><i class="far fa-trash-alt"></i></button>
                    </form> &nbsp;&nbsp;

                </td>
            </tr>
        @endforeach  
    </table>
@endsection

@section('js')
  <script defer src="https://use.fontawesome.com/releases/v5.0.10/js/all.js" integrity="sha384-slN8GvtUJGnv6ca26v8EzVaR9DC58QEwsIk9q1QXdCU8Yu8ck/tL/5szYlBbqmS+" crossorigin="anonymous"></script>
@endsection

resources/views/admin/responsavel_edit_form.blade.php
@extends('adminlte::page')

@section('title', 'Cadastro de Responsável')

@section('content_header')


<h2>Inclusão de Responsável         

  <a href="{{ route('responsavel.index') }}" class="btn btn-primary pull-right" role="button">Voltar</a>
</h2>

@endsection

@section('content')

@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif


<form method="POST" action="{{ route('responsavel.update', $responsavel->id) }}"
 
        enctype="multipart/form-data">
        {{method_field('PUT')}}
       {{ csrf_field() }}

<div class="row">
    <div class="col-sm-6">
      <div class="form-group">
        <label for="nome">Nome:</label>
        <input type="text" id="nome" name="nome" value="{{$responsavel->nome}}" required 
               
               class="form-control">
      </div>
    </div>
    <div class="col-sm-6">
        <div class="form-group">
          <label for="email">E-mail:</label>
          <input type="text" id="email" name="email" value="{{$responsavel->email}}" required 
                 
                 class="form-control">
        </div>
    </div>
  
    

    <div class="col-sm-6">
        <div class="form-group">
          <label for="nome">Endereço:</label>
          <input type="text" id="endereco" name="endereco" value="{{$responsavel->endereco}}" required 
                 
                 class="form-control">
        </div>
    </div>

    <div class="col-sm-6">
        <div class="form-group">
          <label for="nome">Telefone:</label>
          <input type="text" id="telefone" name="telefone" value="{{$responsavel->telefone}}" required 
                 
                 class="form-control">
        </div>
    </div>
  </div>              


  <input type="submit" value="Enviar" class="btn btn-success">
  <input type="reset" value="Limpar" class="btn btn-warning">
</form>

@endsection

resources/views/admin/responsavel_list.blade.php
@extends('adminlte::page')

@section('title', 'Cadastro de Responsável')

@section('content_header')
    <h1 id="ResponsavelList">Cadastro de Responsável
    <a href="{{ route('responsavel.create') }}" 
       class="btn btn-primary pull-right" role="button">Novo</a>
    </h1>
@endsection

@section('content')

<div class='col-sm-12'>
  @if (session('status'))
      <div class="alert alert-success">
          {{ session('status') }}
      </div>
  @endif

  @if (session('alert'))
      <div class="alert alert-danger">
          {{ session('alert') }}
      </div>
  @endif
</div>

<form method="POST" action="{{ route('responsavel.pesquisa') }}"  class="form form-inline">
  {{ csrf_field() }}
  <input type="text" name="nome" class="form-control" placeholder="NOME">
  <input type="text" name="telefone" class="form-control" placeholder="TELEFONE">
  <input type="text" name="email" class="form-control" placeholder="EMAIL">
  
  
  <button type="submit" class="btn btn-primary">Pesquisar</button>
</form>

<table class="table table-striped">
  <tr>
    <th> Nome </th>
    <th> E-mail </th>
    
    <th> Telefone </th>
    <th> Ações </th>
  </tr>  
@forelse($responsavel as $e)
  <tr>
    <td> {{$e->nome}} </td>
    <td> {{$e->email}} </td>
    
    <td> {{$e->telefone}} </td>
  
    <td> 
        <form style="display: inline-block"
        action="{{route('responsavel.edit', $e->id)}}">
          
              <button type="submit" title="Editar"
                      class="btn btn-warning btn-sm"><i class="glyphicon glyphicon-pencil"></i></button>
      
        </form>  &nbsp;&nbsp;
        
        <form style="display: inline-block"
              method="post"
              action="{{route('responsavel.destroy', $e->id)}}"
              onsubmit="return confirm('Confirma Exclusão?')">
               {{method_field('delete')}}
               {{csrf_field()}}
              <button type="submit" title="Excluir"
                      class="btn btn-danger btn-sm"><i class="far fa-trash-alt"></i></button>
        </form>  &nbsp;&nbsp;
        
    </td>
  </tr>

@empty
  <tr><td colspan=8> Não há Responsáveis cadastrados ou filtro da pesquisa não 
                     encontrou registros </td></tr>
@endforelse
</table>
<div class="col-sm-12"> {{ $responsavel->links() }}</div>
@endsection

@section('js')
  <script defer src="https://use.fontawesome.com/releases/v5.0.10/js/all.js" integrity="sha384-slN8GvtUJGnv6ca26v8EzVaR9DC58QEwsIk9q1QXdCU8Yu8ck/tL/5szYlBbqmS+" crossorigin="anonymous"></script>
@endsection

resources/views/admin/vulnerabilidade_list.blade.php
@extends('adminlte::page')

@section('title', 'Cadastro de Vulnerabilidade')

@section('content')
<div class='col-sm-12'>
        @if (session('status'))
            <div class="alert alert-success">
                {{ session('status') }}
            </div>
        @endif
    </div>

    <div class='col-sm-11'>
        <h2 id="VulnerabilidadeList"> Cadastro de Vulnerabilidade </h2>
    </div>

            <div class="col-sm-1">
                <br>
            <a href="{{route('vulnerabilidade.create')}}" class="btn btn-info"
               role="button">Novo</a>
            </div>
    <div class='col-sm-12'>



        <table class="table table-striped">
            <thead>
            <tr>
                <th>ID</th>
                <th>Título</th>
                <th>Descrição</th>
            </tr>
            </thead>
            <tbody>
            @foreach($vulnerabilidade as $b)
                <tr>
                    <td style="text-align: left">{{$b->id}}</td>
                    <td>{{$b->titulo}}</td>
                    <td>
                        <form style="display: inline-block"
                              method="post"
                              action="{{route('vulnerabilidade.destroy', $b->id)}}"
                              onsubmit="return confirm('Confirma Exclusão?')">
                            {{method_field('delete')}}
                            {{csrf_field()}}
                            <button type="submit" title="Excluir"
                      class="btn btn-danger btn-sm"><i class="far fa-trash-alt"></i></button>
                        </form> &nbsp;&nbsp;

                    </td>
                </tr>
    
            @endforeach
            </tbody>
        </table>
         <div class="col-sm-12"> {{ $vulnerabilidade->links() }}</div>
    </div>

@endsection

@section('js')
  <script defer src="https://use.fontawesome.com/releases/v5.0.10/js/all.js" integrity="sha384-slN8GvtUJGnv6ca26v8EzVaR9DC58QEwsIk9q1QXdCU8Yu8ck/tL/5szYlBbqmS+" crossorigin="anonymous"></script>
@endsection